## bitcoin-08b93f9a65ce70e650244f94725fcd042d97f0ee.tar.gz

=== src/leveldb/Makefile ===
# Copyright (c) 2011 The LevelDB Authors. All rights reserved.
# Use of this source code is governed by a BSD-style license that can be
# found in the LICENSE file. See the AUTHORS file for names of contributors.

#-----------------------------------------------
# Uncomment exactly one of the lines labelled (A), (B), and (C) below
# to switch between compilation modes.

OPT ?= -O2 -DNDEBUG       # (A) Production use (optimized mode)
# OPT ?= -g2              # (B) Debug mode, w/ full line-level debugging symbols
# OPT ?= -O2 -g2 -DNDEBUG # (C) Profiling mode: opt, but w/debugging symbols
#-----------------------------------------------

# detect what platform we're building on
$(shell CC="$(CC)" CXX="$(CXX)" TARGET_OS="$(TARGET_OS)" \
    ./build_detect_platform build_config.mk ./)
# this file is generated by the previous line to set build flags and sources
include build_config.mk

CFLAGS += -I. -I./include $(PLATFORM_CCFLAGS) $(OPT)
CXXFLAGS += -I. -I./include $(PLATFORM_CXXFLAGS) $(OPT)

LDFLAGS += $(PLATFORM_LDFLAGS)
LIBS += $(PLATFORM_LIBS)

LIBOBJECTS = $(SOURCES:.cc=.o)
MEMENVOBJECTS = $(MEMENV_SOURCES:.cc=.o)

TESTUTIL = ./util/testutil.o
TESTHARNESS = ./util/testharness.o $(TESTUTIL)

TESTS = \
	arena_test \
	autocompact_test \
	bloom_test \
	c_test \
	cache_test \
	coding_test \
	corruption_test \
	crc32c_test \
	db_test \
	dbformat_test \
	env_test \
	filename_test \
	filter_block_test \
	issue178_test \
	log_test \
	memenv_test \
	skiplist_test \
	table_test \
	version_edit_test \
	version_set_test \
	write_batch_test

PROGRAMS = db_bench leveldbutil $(TESTS)
BENCHMARKS = db_bench_sqlite3 db_bench_tree_db

LIBRARY = libleveldb.a
MEMENVLIBRARY = libmemenv.a

default: all

# Should we build shared libraries?
ifneq ($(PLATFORM_SHARED_EXT),)

ifneq ($(PLATFORM_SHARED_VERSIONED),true)
SHARED1 = libleveldb.$(PLATFORM_SHARED_EXT)
SHARED2 = $(SHARED1)
SHARED3 = $(SHARED1)
SHARED = $(SHARED1)
else
# Update db.h if you change these.
SHARED_MAJOR = 1
SHARED_MINOR = 13
SHARED1 = libleveldb.$(PLATFORM_SHARED_EXT)
SHARED2 = $(SHARED1).$(SHARED_MAJOR)
SHARED3 = $(SHARED1).$(SHARED_MAJOR).$(SHARED_MINOR)
SHARED = $(SHARED1) $(SHARED2) $(SHARED3)
$(SHARED1): $(SHARED3)
	ln -fs $(SHARED3) $(SHARED1)
$(SHARED2): $(SHARED3)
	ln -fs $(SHARED3) $(SHARED2)
endif

$(SHARED3):
	$(CXX) $(LDFLAGS) $(PLATFORM_SHARED_LDFLAGS)$(SHARED2) $(CXXFLAGS) $(PLATFORM_SHARED_CFLAGS) $(SOURCES) -o $(SHARED3) $(LIBS)

endif  # PLATFORM_SHARED_EXT

all: $(SHARED) $(LIBRARY)

check: all $(PROGRAMS) $(TESTS)
	for t in $(TESTS); do echo "***** Running $$t"; ./$$t || exit 1; done

clean:
	-rm -f $(PROGRAMS) $(BENCHMARKS) $(LIBRARY) $(SHARED) $(MEMENVLIBRARY) */*.o */*/*.o ios-x86/*/*.o ios-arm/*/*.o build_config.mk
	-rm -rf ios-x86/* ios-arm/*

$(LIBRARY): $(LIBOBJECTS)
	rm -f $@
	$(AR) -rs $@ $(LIBOBJECTS)

db_bench: db/db_bench.o $(LIBOBJECTS) $(TESTUTIL)
	$(CXX) $(LDFLAGS) db/db_bench.o $(LIBOBJECTS) $(TESTUTIL) -o $@ $(LIBS)

db_bench_sqlite3: doc/bench/db_bench_sqlite3.o $(LIBOBJECTS) $(TESTUTIL)
	$(CXX) $(LDFLAGS) doc/bench/db_bench_sqlite3.o $(LIBOBJECTS) $(TESTUTIL) -o $@ -lsqlite3 $(LIBS)

db_bench_tree_db: doc/bench/db_bench_tree_db.o $(LIBOBJECTS) $(TESTUTIL)
	$(CXX) $(LDFLAGS) doc/bench/db_bench_tree_db.o $(LIBOBJECTS) $(TESTUTIL) -o $@ -lkyotocabinet $(LIBS)

leveldbutil: db/leveldb_main.o $(LIBOBJECTS)
	$(CXX) $(LDFLAGS) db/leveldb_main.o $(LIBOBJECTS) -o $@ $(LIBS)

arena_test: util/arena_test.o $(LIBOBJECTS) $(TESTHARNESS)
	$(CXX) $(LDFLAGS) util/arena_test.o $(LIBOBJECTS) $(TESTHARNESS) -o $@ $(LIBS)

autocompact_test: db/autocompact_test.o $(LIBOBJECTS) $(TESTHARNESS)
	$(CXX) $(LDFLAGS) db/autocompact_test.o $(LIBOBJECTS) $(TESTHARNESS) -o $@ $(LIBS)

bloom_test: util/bloom_test.o $(LIBOBJECTS) $(TESTHARNESS)
	$(CXX) $(LDFLAGS) util/bloom_test.o $(LIBOBJECTS) $(TESTHARNESS) -o $@ $(LIBS)

c_test: db/c_test.o $(LIBOBJECTS) $(TESTHARNESS)
	$(CXX) $(LDFLAGS) db/c_test.o $(LIBOBJECTS) $(TESTHARNESS) -o $@ $(LIBS)

cache_test: util/cache_test.o $(LIBOBJECTS) $(TESTHARNESS)
	$(CXX) $(LDFLAGS) util/cache_test.o $(LIBOBJECTS) $(TESTHARNESS) -o $@ $(LIBS)

coding_test: util/coding_test.o $(LIBOBJECTS) $(TESTHARNESS)
	$(CXX) $(LDFLAGS) util/coding_test.o $(LIBOBJECTS) $(TESTHARNESS) -o $@ $(LIBS)

corruption_test: db/corruption_test.o $(LIBOBJECTS) $(TESTHARNESS)
	$(CXX) $(LDFLAGS) db/corruption_test.o $(LIBOBJECTS) $(TESTHARNESS) -o $@ $(LIBS)

crc32c_test: util/crc32c_test.o $(LIBOBJECTS) $(TESTHARNESS)
	$(CXX) $(LDFLAGS) util/crc32c_test.o $(LIBOBJECTS) $(TESTHARNESS) -o $@ $(LIBS)

db_test: db/db_test.o $(LIBOBJECTS) $(TESTHARNESS)
	$(CXX) $(LDFLAGS) db/db_test.o $(LIBOBJECTS) $(TESTHARNESS) -o $@ $(LIBS)

dbformat_test: db/dbformat_test.o $(LIBOBJECTS) $(TESTHARNESS)
	$(CXX) $(LDFLAGS) db/dbformat_test.o $(LIBOBJECTS) $(TESTHARNESS) -o $@ $(LIBS)

env_test: util/env_test.o $(LIBOBJECTS) $(TESTHARNESS)
	$(CXX) $(LDFLAGS) util/env_test.o $(LIBOBJECTS) $(TESTHARNESS) -o $@ $(LIBS)

filename_test: db/filename_test.o $(LIBOBJECTS) $(TESTHARNESS)
	$(CXX) $(LDFLAGS) db/filename_test.o $(LIBOBJECTS) $(TESTHARNESS) -o $@ $(LIBS)

filter_block_test: table/filter_block_test.o $(LIBOBJECTS) $(TESTHARNESS)
	$(CXX) $(LDFLAGS) table/filter_block_test.o $(LIBOBJECTS) $(TESTHARNESS) -o $@ $(LIBS)

issue178_test: issues/issue178_test.o $(LIBOBJECTS) $(TESTHARNESS)
	$(CXX) $(LDFLAGS) issues/issue178_test.o $(LIBOBJECTS) $(TESTHARNESS) -o $@ $(LIBS)

log_test: db/log_test.o $(LIBOBJECTS) $(TESTHARNESS)
	$(CXX) $(LDFLAGS) db/log_test.o $(LIBOBJECTS) $(TESTHARNESS) -o $@ $(LIBS)

table_test: table/table_test.o $(LIBOBJECTS) $(TESTHARNESS)
	$(CXX) $(LDFLAGS) table/table_test.o $(LIBOBJECTS) $(TESTHARNESS) -o $@ $(LIBS)

skiplist_test: db/skiplist_test.o $(LIBOBJECTS) $(TESTHARNESS)
	$(CXX) $(LDFLAGS) db/skiplist_test.o $(LIBOBJECTS) $(TESTHARNESS) -o $@ $(LIBS)

version_edit_test: db/version_edit_test.o $(LIBOBJECTS) $(TESTHARNESS)
	$(CXX) $(LDFLAGS) db/version_edit_test.o $(LIBOBJECTS) $(TESTHARNESS) -o $@ $(LIBS)

version_set_test: db/version_set_test.o $(LIBOBJECTS) $(TESTHARNESS)
	$(CXX) $(LDFLAGS) db/version_set_test.o $(LIBOBJECTS) $(TESTHARNESS) -o $@ $(LIBS)

write_batch_test: db/write_batch_test.o $(LIBOBJECTS) $(TESTHARNESS)
	$(CXX) $(LDFLAGS) db/write_batch_test.o $(LIBOBJECTS) $(TESTHARNESS) -o $@ $(LIBS)

$(MEMENVLIBRARY) : $(MEMENVOBJECTS)
	rm -f $@
	$(AR) -rs $@ $(MEMENVOBJECTS)

memenv_test : helpers/memenv/memenv_test.o $(MEMENVLIBRARY) $(LIBRARY) $(TESTHARNESS)
	$(CXX) $(LDFLAGS) helpers/memenv/memenv_test.o $(MEMENVLIBRARY) $(LIBRARY) $(TESTHARNESS) -o $@ $(LIBS)

ifeq ($(PLATFORM), IOS)
# For iOS, create universal object files to be used on both the simulator and
# a device.
PLATFORMSROOT=/Applications/Xcode.app/Contents/Developer/Platforms
SIMULATORROOT=$(PLATFORMSROOT)/iPhoneSimulator.platform/Developer
DEVICEROOT=$(PLATFORMSROOT)/iPhoneOS.platform/Developer
IOSVERSION=$(shell defaults read $(PLATFORMSROOT)/iPhoneOS.platform/version CFBundleShortVersionString)

.cc.o:
	mkdir -p ios-x86/$(dir $@)
	$(CXX) $(CXXFLAGS) -isysroot $(SIMULATORROOT)/SDKs/iPhoneSimulator$(IOSVERSION).sdk -arch i686 -c $< -o ios-x86/$@
	mkdir -p ios-arm/$(dir $@)
	$(DEVICEROOT)/usr/bin/$(CXX) $(CXXFLAGS) -isysroot $(DEVICEROOT)/SDKs/iPhoneOS$(IOSVERSION).sdk -arch armv6 -arch armv7 -c $< -o ios-arm/$@
	lipo ios-x86/$@ ios-arm/$@ -create -output $@

.c.o:
	mkdir -p ios-x86/$(dir $@)
	$(CC) $(CFLAGS) -isysroot $(SIMULATORROOT)/SDKs/iPhoneSimulator$(IOSVERSION).sdk -arch i686 -c $< -o ios-x86/$@
	mkdir -p ios-arm/$(dir $@)
	$(DEVICEROOT)/usr/bin/$(CC) $(CFLAGS) -isysroot $(DEVICEROOT)/SDKs/iPhoneOS$(IOSVERSION).sdk -arch armv6 -arch armv7 -c $< -o ios-arm/$@
	lipo ios-x86/$@ ios-arm/$@ -create -output $@

else
.cc.o:
	$(CXX) $(CXXFLAGS) -c $< -o $@

.c.o:
	$(CC) $(CFLAGS) -c $< -o $@
endif

=== contrib/debian/changelog ===
bitcoin (0.8.5-precise1) precise; urgency=medium

  * New upstream release.

 -- Matt Corallo <matt@bluematt.me>  Sun, 15 Sep 2013 14:02:00 -0400

bitcoin (0.8.4-precise1) precise; urgency=medium

  * New upstream release.

 -- Matt Corallo <matt@bluematt.me>  Wed, 4 Sep 2013 10:25:00 -0400

bitcoin (0.8.3-natty1) natty; urgency=low

  * New upstream release.

 -- Matt Corallo <matt@bluematt.me>  Wed, 26 Jun 2013 00:18:00 +0100

bitcoin (0.8.2-natty1) natty; urgency=low

  * New upstream release.

 -- Matt Corallo <matt@bluematt.me>  Wed, 29 Mar 2013 23:23:00 +0100

bitcoin (0.8.1-natty3) natty; urgency=low

  * New pixmaps

 -- Jonas Schnelli <jonas.schnelli@include7.ch>  Mon, 13 May 2013 16:14:00 +0100

bitcoin (0.8.1-natty2) natty; urgency=low

  * Remove dumb broken launcher script

 -- Matt Corallo <matt@bluematt.me>  Sun, 24 Mar 2013 20:01:00 -0400

bitcoin (0.8.1-natty1) natty; urgency=low

  * New upstream release.

 -- Matt Corallo <matt@bluematt.me>  Tue, 19 Mar 2013 13:03:00 -0400

bitcoin (0.8.0-natty1) natty; urgency=low

  * New upstream release.

 -- Matt Corallo <matt@bluematt.me>  Sat, 23 Feb 2013 16:01:00 -0500

bitcoin (0.7.2-natty1) natty; urgency=low

  * New upstream release.

 -- Matt Corallo <matt@bluematt.me>  Sat, 15 Dec 2012 10:59:00 -0400

bitcoin (0.7.1-natty1) natty; urgency=low

  * New upstream release.

 -- Matt Corallo <matt@bluematt.me>  Wed, 24 Oct 2012 15:06:00 -0400

bitcoin (0.7.0-natty1) natty; urgency=low

  * New upstream release.

 -- Matt Corallo <matt@bluematt.me>  Mon, 17 Sep 2012 13:45:00 +0200

bitcoin (0.6.3-natty1) natty; urgency=low

  * New upstream release.

 -- Matt Corallo <matt@bluematt.me>  Mon, 25 Jun 2012 23:47:00 +0200

bitcoin (0.6.2-natty1) natty; urgency=low

  * Update package description and launch scripts.

 -- Matt Corallo <matt@bluematt.me>  Sat, 2 Jun 2012 16:41:00 +0200

bitcoin (0.6.2-natty0) natty; urgency=low

  * New upstream release.

 -- Matt Corallo <matt@bluematt.me>  Tue, 8 May 2012 16:27:00 -0500

bitcoin (0.6.1-natty0) natty; urgency=low

  * New upstream release.

 -- Matt Corallo <matt@bluematt.me>  Sun, 6 May 2012 20:09:00 -0500

bitcoin (0.6.0-natty0) natty; urgency=low

  * New upstream release.
  * Add GNOME/KDE support for bitcoin-qt's bitcoin: URI support.
    Thanks to luke-jr for the KDE .protocol file.

 -- Matt Corallo <matt@bluematt.me>  Sat, 31 Mar 2012 15:35:00 -0500

bitcoin (0.5.3-natty1) natty; urgency=low

  * Mark for upload to PPA.

 -- Matt Corallo <matt@bluematt.me>  Wed, 14 Mar 2012 23:06:00 -0400

bitcoin (0.5.3-natty0) natty; urgency=low

  * New upstream release.

 -- Luke Dashjr <luke+bitcoin+deb@dashjr.org>  Tue, 10 Jan 2012 15:57:00 -0500

bitcoin (0.5.2-natty1) natty; urgency=low

  * Remove mentions on anonymity in package descriptions and manpage.
    These should never have been there, bitcoin isnt anonymous without
    a ton of work that virtually no users will ever be willing and
    capable of doing

 -- Matt Corallo <matt@bluematt.me>  Sat, 7 Jan 2012 13:37:00 -0500

bitcoin (0.5.2-natty0) natty; urgency=low

  * New upstream release.

 -- Luke Dashjr <luke+bitcoin+deb@dashjr.org>  Fri, 16 Dec 2011 17:57:00 -0500

bitcoin (0.5.1-natty0) natty; urgency=low

  * New upstream release.

 -- Matt Corallo <matt@bluematt.me>  Fri, 16 Dec 2011 13:27:00 -0500

bitcoin (0.5.0-natty0) natty; urgency=low

  * New upstream release.

 -- Matt Corallo <matt@bluematt.me>  Mon, 21 Nov 2011 11:32:00 -0500

bitcoin (0.5.0~rc7-natty0) natty; urgency=low

  * New upstream release candidate.

 -- Matt Corallo <matt@bluematt.me>  Sun, 20 Nov 2011 17:08:00 -0500

bitcoin (0.5.0~rc3-natty0) natty; urgency=low

  * New upstream release candidate.
  * Don't set rpcpassword for bitcoin-qt.

 -- Matt Corallo <matt@bluematt.me>  Tue, 8 Nov 2011 11:56:00 -0400

bitcoin (0.5.0~rc1-natty1) natty; urgency=low

  * Add test_bitcoin to build test
  * Fix clean
  * Remove uneccessary build-dependancies

 -- Matt Corallo <matt@bluematt.me>  Wed, 26 Oct 2011 14:37:18 -0400

bitcoin (0.5.0~rc1-natty0) natty; urgency=low

  * Mark for natty
  * Fix broken build
  * Fix copyright listing
  * Remove bitcoin: URL handler until bitcoin actually has support for it (Oops)

 -- Matt Corallo <matt@bluematt.me>  Wed, 26 Oct 2011 14:37:18 -0400

bitcoin (0.5.0~rc1-2) experimental; urgency=low

  * Add bitcoin-qt

 -- Matt Corallo <matt@bluematt.me>  Tue, 25 Oct 2011 15:24:18 -0400

bitcoin (0.5.0~rc1-1) experimental; urgency=low

  * New upstream prerelease.
  * Add Github as alternate upstream source in watch file.
  * Stop build-depending on libcrypto++-dev, and drop patch 1000:
    Upstream no longer use crypto++.
  * Drop patch 1003: Upstream builds dynamic by default now.
  * Update copyright file: Drop notes on longer included sources.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 14 Oct 2011 00:16:18 +0200

bitcoin (0.4.0-1) unstable; urgency=low

  * New upstream release.
  * Stop repackaging source tarballs: No DFSG-violating stripping left.
  * Update copyright file:
    + Add Github URL to Source.
  * Drop dpkg-source local-options hint: Declared options are default
    since dpkg-source 1.16.1.
    + Add irc URL to Upstream-Contact.
    + Add comment on Bitcoin Developers to catch-all Files section.
    + Add Files sections for newly readded src/cryptopp/* (new custom
      BSD-like license), and newly added doc/build-osx.txt and
      src/makefile.osx (Expat).
  * Bump debhelper compatibility level to 7.
  * Suppress binary icns and gpg files.
  * Enable regression tests:
    + Build-depend on libboost-test-dev.
    + Extend patch 1003 to also dynamically link test binary.
    + Build and invoke test binary unless tests are disabled.
  * Tighten build-dependency on cdbs: Recent version needed to support
    debhelper 7.
  * Relax build-depend unversioned on debhelper: needed version
    satisfied even in oldstable.
  * Stop suppress optional build-dependencies: Satisfied in stable.


=== contrib/debian/control ===
Source: bitcoin
Section: utils
Priority: optional
Maintainer: Jonas Smedegaard <dr@jones.dk>
Uploaders: Micah Anderson <micah@debian.org>
Build-Depends: debhelper,
 devscripts,
 bash-completion,
 libboost-system-dev (>> 1.35) | libboost-system1.35-dev,
 libdb4.8++-dev,
 libssl-dev,
 pkg-config,
 libminiupnpc8-dev,
 libboost-filesystem-dev (>> 1.35) | libboost-filesystem1.35-dev,
 libboost-program-options-dev (>> 1.35) | libboost-program-options1.35-dev,
 libboost-thread-dev (>> 1.35) | libboost-thread1.35-dev,
 libboost-test-dev (>> 1.35) | libboost-test1.35-dev,
 qt4-qmake,
 libqt4-dev,
 libqrencode-dev
Standards-Version: 3.9.2
Homepage: http://www.bitcoin.org/
Vcs-Git: git://github.com/bitcoin/bitcoin.git
Vcs-Browser: http://github.com/bitcoin/bitcoin

Package: bitcoind
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: peer-to-peer network based digital currency - daemon
 Bitcoin is a free open source peer-to-peer electronic cash system that
 is completely decentralized, without the need for a central server or
 trusted parties.  Users hold the crypto keys to their own money and
 transact directly with each other, with the help of a P2P network to
 check for double-spending.
 .
 Full transaction history is stored locally at each client.  This
 requires 2+ GB of space, slowly growing.
 .
 This package provides bitcoind, a combined daemon and CLI tool to
 interact with the daemon.

Package: bitcoin-qt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: peer-to-peer network based digital currency - Qt GUI
 Bitcoin is a free open source peer-to-peer electronic cash system that
 is completely decentralized, without the need for a central server or
 trusted parties.  Users hold the crypto keys to their own money and
 transact directly with each other, with the help of a P2P network to
 check for double-spending.
 .
 Full transaction history is stored locally at each client.  This
 requires 2+ GB of space, slowly growing.
 .
 This package provides Bitcoin-Qt, a GUI for Bitcoin based on Qt.

=== contrib/debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

#DEB_MAKE_CHECK_TARGET = test_bitcoin
#build/bitcoind::
#	$(if $(filter nocheck,$(DEB_BUILD_OPTIONS)),,src/test_bitcoin)

DEB_INSTALL_EXAMPLES_bitcoind += debian/examples/*
DEB_INSTALL_MANPAGES_bitcoind += debian/manpages/*

%:
	dh --with bash-completion $@

override_dh_auto_build:
	cd src; $(MAKE) -f makefile.unix bitcoind
	$(MAKE)

override_dh_auto_clean:
	if [ -f Makefile ]; then $(MAKE) clean; else rm -rf build/; rm -f bitcoin-qt; fi
	cd src; $(MAKE) -f makefile.unix clean

override_dh_auto_configure:
	qmake bitcoin-qt.pro USE_QRCODE=1

override_dh_auto_test:
	cd src; $(MAKE) -f makefile.unix test_bitcoin
	src/test_bitcoin

# Ensure wrapper is set executable
binary-post-install/bitcoind:
	chmod +x $(cdbs_curdestdir)usr/bin/bitcoind
binary-post-install/bitcoin-qt:
	chmod +x $(cdbs_curdestdir)usr/bin/bitcoin-qt
